Skip to main content
GET
Get instance naming restrictions

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

Response

200 - application/json

OK

allowed_bm_name_templates
string[] | null
required

Clients will only be able to use these strings as bare metal server "bm_name_templates".

Example:
allowed_bm_name_win_templates
string[] | null
required

Clients will only be able to use these strings as bare metal server "bm_name_templates".

Example:
allowed_name_templates
string[] | null
required

If "name_templates_limited" is True, this is the list of allowed instance name templates.

Example:
allowed_name_win_templates
string[] | null
required

If "name_templates_limited" is True, this is the list of allowed windows instance name templates.

Example:
custom_name_allowed
boolean
required

If true, instances can be created using "names" field.

Example:

false

name_templates_limited
boolean
required

If true, only specific strings are allowed in "name_templates" fields.

Example:

true